Skip to main content
PUT
/
v1
/
channels
/
{channelId}
/
permissions
/
{targetId}
Set permission override
curl --request PUT \
  --url https://api.magne.app/v1/channels/{channelId}/permissions/{targetId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetType": "<string>",
  "allowBits": 123,
  "denyBits": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "allowBits": 123,
  "denyBits": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channelId
string<uuid>
required
targetId
string<uuid>
required

Body

application/json
targetType
string
required

role or member

allowBits
integer<int64>
required
denyBits
integer<int64>
required

Response

Success

id
string<uuid>
channelId
string<uuid>
roleId
string<uuid> | null
userId
string<uuid> | null
allowBits
integer<int64>

Permission allow bitmask

denyBits
integer<int64>

Permission deny bitmask

createdAt
string<date-time>